<?php

/**
 * @file
 * Hooks provided by the Alexa module.
 */

use Alexa\Response\Response;

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Allow modules to respond to whatever ASK intents it recognizes.
 *
 * @param \Alexa\Request\Request $request
 *   The Alexa request.
 *
 * @return \Alexa\Response\Response|null
 *   An Alexa response to pass along, or NULL if we don't have a response for
 *   this request.
 */
function hook_alexa_callback(\Alexa\Request\Request $request) {
  $response = new Response();

  if (isset($request->intentName)) {
    switch ($request->intentName) {
      case 'AMAZON.HelpIntent':
        $response->respond('You can say "hello" from your city and I will respond with "Hello Drupal"');
        break;

      case 'HelloDrupal':
        $response->respond('Hello Drupal');
        break;
    }
  }

  return $response;
}

/**
 * @} End of "addtogroup hooks".
 */
